---
schema_version: "1"
id: c218aa42b09f2614472c915ceba52642014171ba81a0c1a9f89fcdde22e4cda7
title: POST /contacts/v1/operations/restrict/{operationID}/retry
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/RetryContactRestrict.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/RetryContactRestrict.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: f8074d29531f189eeac7261b5e3927689b70d98dd3201f67297a1c2eda84f51f
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /contacts/v1/operations/restrict/{operationID}/retry

## Overview

Retry failed contact restrict operation.

### URL Parameters

<!--complex table-->

| Name            | Type   |     | Description |
| --------------- | ------ | --- | ----------- |
| **operationID** | string |     | undefined   |

### Responses

| Status  | Name                    | Type    | Description                                                                                                                  |
| ------- | ----------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                  | &nbsp;  | **Retry restrict operation response.**                                                                                       |
| &nbsp;  | operationID             | integer | Operation ID for the retried request.                                                                                        |
| &nbsp;  | operationRestarted      | boolean | Indicates whether the request restarted.                                                                                     |
| &nbsp;  | requestServiceMessageID | guid    | Service message ID for the request.                                                                                          |
| &nbsp;  | responseDateTime        | integer | The date and time of the retry response is in GMT time.                                                                      |
| &nbsp;  | resultMessages          | array   | Messages about the request, like resulttype and resultcode. If the request results in errors, those details are listed here. |
| &nbsp;  | serviceMessageID        | guid    | Service message ID for the response.                                                                                         |

### Usage

**Example Request**

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/operations/restrict/16411/retry
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

**Example Response**

```js
{
    "operationID": 16411,
    "operationRestarted": true,
    "requestServiceMessageID": "70f956f8-cd35-4c75-b045-86dff08f7e21",
    "responseDateTime": "2018-06-05T10:00:00.4006445-06:00",
    "resultMessages": [],
    "serviceMessageID": "94a88190-d9e3-4ed4-8256-eb0c62c7d5e1"
}
```
